/* 容器样式 */
.ip-intro-container {
  position: relative;
  padding: 1rem;
  display: flex;
  flex-direction: row;
  justify-content: center;
  /* max-width: 1400px;
    margin: 0 auto; */
  background-image: url("https://c.animaapp.com/l2kk8BLr/img/---1.png");
  /* padding: 40px; */
}
.ip-intro-content-main {
  position: relative;
  display: flex;
  width: 1300px;
  flex-direction: row;
  justify-content: center;
  padding: 20px;
}

/* 左侧栏样式 */
.left-panel {
  flex: 1; /* 自动调整大小 */
  min-width: 50%; /* 设置最小宽度，防止内容过小 */
  padding: 20px; /* 内边距 */
  flex-direction: row;
  display: flex;
  box-sizing: border-box;
  justify-content: center;
}
.left-panel img {
  width: 100%;
  object-fit: contain;
  height: auto;
  max-width: 470px;
}
/* 右侧内容区样式 */
.right-content {
  display: flex;
  flex-direction: column; /* 垂直排列子元素 */
  flex: 1; /* 占据更多空间 */
  padding: 10px; /* 内边距 */
  min-width: 50%; /* 设置最小宽度，防止内容过小 */
  box-sizing: border-box; /* 确保内边距不会增加元素的实际宽度或高度 */
  font-size: 12px;
  position: relative;
}

.view-8 .text-wrapper-9 {
  font-size: 1.8rem;
  /* color: #333333; */
  text-decoration: none;
  position: absolute;
  bottom: 1rem;
  right: 1rem;
}
.text-wrapper-9:hover {
  color: #ffffff;
}

.element-IP {
  font-family: "HYYouYuan-55W", sans-serif;
  font-weight: 700;
  color: rgb(250, 19, 25);
  font-size: 25px;
  letter-spacing: 0px;
  line-height: 37px;
}

.overlap-3 {
  /* position: absolute; */
  width: 478px;
  height: 130px;
  top: 120px;
  left: 0px;
}

.text-wrapper-10 {
  width: 600px;
  top: 0px;
  left: 0px;
  color: rgb(250, 19, 25);
  font-size: 78px;
  letter-spacing: 1.61px;
  line-height: normal;
  position: absolute;
  font-family: "HYYouYuan-95W", sans-serif;
  font-weight: 400;
}

.x {
  position: absolute;
  width: 57px;
  height: 57px;
  top: 35px;
  left: 260px;
  object-fit: cover;
  margin: 0px;
  padding: 0px;
  -webkit-tap-highlight-color: transparent;
  outline-style: none;
  border: 0px;
}

.image-wrapper {
  width: 100%;
  max-width: 550px;
  height: auto;
  position: relative;
  margin-bottom: 1rem;
}
.brand-events {
  /* position: absolute; */
  align-self: flex-end; /* 将元素固定在右侧 */
  width: 222px;
  height: 70px;
  top: 22px;
  right: 20%;
}

.brand-events-title,
.brand-events-subtitle {
  display:flex;
  color: rgb(172, 0, 27);
  font-family: "HYYouYuan-95W", sans-serif;
  font-weight: 400;
  line-height: normal;
}

.brand-events-title {
  /* width: 197px; */
  top: 4px;
  left: -2px;
  font-size: 38px;
}

.brand-events-subtitle {
    font-size: 34px;
    display: flex;
    justify-content: flex-end;
}

.brand-events-icon {
  /* position: absolute; */
  width: 21px;
  height: 19px;
  object-fit: cover;
  margin: 0px;
  padding: 0px;
  outline-style: none;
  border: 0px;
}

.brand-events-title .brand-events-icon {
  width: 22px;
  height: 20px;
  top: 23px;
  left: 200px;
}

.brand-events-subtitle .brand-events-icon {
  top: 13px;
  left: -30px;
}

.overlap-group-3 {
  align-self: flex-end;  
  width: 174px;
  height: 54px;
  margin-top: 10%;
  right: 1px;
  background-image: url("/public/imgs/index-img/---10.svg");
  background-size: 100% 100%;
}

.text-wrapper-9 {
  text-decoration: none;
  width: 140px;
  top: 7px;
  left: 18px;
  color: #ffffff;
  font-size: 28px;
  letter-spacing: 0px;
  line-height: normal;
  position: absolute;
  font-family: "HYYouYuan-75W", sans-serif;
  font-weight: 400;
  outline-style: none;
  -webkit-tap-highlight-color: transparent;
}

@media (max-width: 768px) {
  .element-IP,
  .overlap-3 .text-wrapper-10,
  .view-9 .text-wrapper-11,
  .view-9 .text-wrapper-12 {
    font-size: 1rem;
  }
  .overlap-group-3{
    display: none;
  }
  .left-panel img{
    width: 85%;
  }
  .right-content {
    padding: 0;
  }
  .brand-events {
    top: 0px;
    width: 160px;
  }
  .brand-events-title {
    font-size: 18px;
    left: 34%;
    right: 20px;
  }
  .brand-events-subtitle {
    font-size: 18px;
    justify-content:flex-start;
  }
  .brand-events-title .brand-events-icon{
    width: 12px;
    height: 10px;
  }
  .element-IP {
    top: 36%;
    line-height: 20px;
    width: 80%;
    height: 140px;
    overflow: hidden;
    font-size: 14px;
  }
  .overlap-3 {
    height: 32px;
  }
  .x {
    top: 8%;
    left: 57px;
    width: 15px;
    height: 15px;
  }
  .brand-events-subtitle .brand-events-icon {
    top: 5px;
    left: -20px;
  }
  .brand-events-icon {
    width: 16px;
    height: 13px;
    object-fit: cover;
    margin: 0px;
    padding: 0px;
    outline-style: none;
    border: 0px;
  }
}

.ip-collaboration-mobile {
  display: none;
}

@media (max-width: 768px) {
  .ip-collaboration-pc {
    display: none;
  }
  .ip-collaboration-mobile {
    display: block;
    background-color: #efe4d5;
    padding: 40px 20px;
  }
  .ip-mobile-body {
    display: flex;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .ip-event-title,
  .ip-event-subtitle {
    display: flex;
    font-size: 40px;
    font-weight: 800;
    line-height: normal;
    color: #AC001C;
  }

  .ip-event-title {
    top: 4px;
    left: -2px;
    font-size: 38px;
  }

  .ip-event-subtitle {
    font-size: 34px;
    display: flex;
    justify-content: flex-start;
  }


  .ip-event-icon {
    width: 21px;
    height: 19px;
    object-fit: cover;
    margin: 0px;
    padding: 0px;
    outline-style: none;
    border: 0px;
  }

  .ip-event-title .ip-event-icon {
    width: 22px;
    height: 20px;
  }

  .ip-event-subtitle .ip-event-icon {
    margin: 4px;
  }

  .ip-mobile-img {
    width: 276px;
    margin-top: 30px;
  }

  .ip-mobile-content .ip-co-brand-wrap {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .ip-co-brand-text-left,
  .ip-co-brand-text-right {
    font-size: 40px;
    color: rgb(250, 19, 25);
    line-height: normal;
    font-family: "HYYouYuan-95W", sans-serif;
    font-weight: 400;
  }
  .ip-mobile-content {
    margin-top: 12px;
  }
  .ip-mobile-content .ip-co-brand-x {
    width: 28px;
    height: 28px;
    margin: 10px 10px 0;
  }
  .ip-desc-content div {
    margin-top: 12px;
    font-size: 16px;
    font-weight: 600;
    line-height: normal;
    color: #FA1418;
  }
}
